/* sc_mouseredir.m

A Skin Consortium script to pass a click on a GUI object to a button.

The script takes two parameters, the first of which is the id of the GUI object
and the second is the id of the button.

Here's an example:

  <button
    id="Track Info" action="trackinfo"
    x="24" y="62" w="1" h="1"
    image="none"
  />
  <AlbumArt
    id="albumart" notfoundImage="nocover"
    x="24" y="62" w="-48" h="-86" relatw="1" relath="1"
  />
  <script file="scripts/sc_mouseredir.maki" param="albumart;Track Info"/>
*/

#include "lib/std.mi"
Global GuiObject clickObject;
Global Button actionButton;

System.onScriptLoaded() {
  Group scriptGroup = getscriptGroup();
  // ";" says that the parameters are separated with semicolons.
  // 0 stands for the first parameter, and 1 for the second.
  clickObject = scriptGroup.findObject(getToken(getParam(), ";", 0));
  actionButton = scriptGroup.findObject(getToken(getParam(), ";", 1));
}

clickObject.onLeftButtonUp(int x, int y) {
  actionButton.leftClick();
}
